dns_ip4_qualify(3)

NAME
dns_ip4_qualify - qualify name and look up IPv4 addresses

SYNTAX
#include <dns.h> int dns_ip4_qualify(stralloc* out,stralloc* fqdn,
                    const stralloc* udn);

DESCRIPTION
dns_ip4_qualify feeds the name udn through qualification and looks up 4-byte IP addresses for the result. It puts the fully qualified domain name into fqdn, puts the concatenation of the IP addresses into out, and returns 0. If the domain does not exist in DNS, or has no IP addresses, out will be empty. If dns_ip4_qualify has trouble with the qualification, has trouble with DNS, or runs out of memory, it returns -1, setting errno appropriately. It may or may not change out and fqdn.

QUALIFICATION
See http://cr.yp.to/djbdns/qualification.html

SEE ALSO
dns_ip4(3), dns_ip4_packet(3), dns_ip6_qualify(3)